export function getDefaultSchema() {
    return {
        namespace: "default",
        module_name: '',
        table_name: '',
        enable: 1,
        column: '',
        label: '',
        type: "string",
        format: 'string',
        native: 0,
        is_primary_key: 0,
        expression: "",
        scenarios: ["create", "update", "view"],
        rule: {
            min: 0,
            max: 0,
            type: "",
            unique: true,
            required: [],
            regular: ""
        },
        attribute: {
            match: "fuzzy",
            primary_key: true,
            default_value: "",
            readonly: [],
            disable: [],
            visible: [],
            values: [],
            live: {
                enable: false,
                type: "",
                url: "",
                method: "",
                body: "",
                content_type: "",
                columns: []
            },
            icon: "",
            sort: false,
            suffix: "",
            tooltip: "",
            description: ""
        },
        position: 1
    }
}

export function getSupportedElements() {
    return [
        {
            name: 'string',
            icon: 'input',
            label: '文本'
        },
        {
            name: 'integer',
            icon: 'number-input',
            label: '数字'
        },
        {
            name: 'password',
            icon: 'miyue',
            label: '密码'
        },
        {
            name: 'textarea',
            icon: 'textarea',
            label: '多行文本'
        },
        {
            name: 'boolean',
            icon: 'boolean',
            label: '是否'
        },
        {
            name: 'time',
            icon: 'timer',
            label: '时间'
        },
        {
            name: 'date',
            icon: 'date',
            label: '日期'
        },
        {
            name: 'datetime',
            icon: 'datetime',
            label: '时间日期'
        },
        {
            name: 'dropdown',
            icon: 'dropdown',
            label: '单项选择'
        },
        {
            name: 'multiSelect',
            icon: 'select',
            label: '多项选择'
        }
    ]
}

export function getTypeFromFormat(format) {
    if (['boolean', 'number'].indexOf(format) > -1) {
        return 'integer'
    } else {
        return 'string'
    }
}

export function grantElementSchema(e) {
    let schema = getDefaultSchema();
    schema.format = e.name
    schema.type = getTypeFromFormat(e.name)
    return schema
}