import { fileURLToPath, URL } from 'node:url'

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueDevTools from 'vite-plugin-vue-devtools'

// https://vite.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    vueDevTools(),
  ],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    },
  },
  server: {
    port: 18081,
    host: '0.0.0.0',
    allowedHosts: ['dev-local.tryfly.eu.org'],
  },
  build: {
    outDir: 'release',
    assetsDir: 'static',
    rollupOptions: {
      output: {
        manualChunks(id) {
          return 'moto'
        }
      }
    }
  }
})
